Error 500 no ,atter which version of php

 
Post new topic   Reply to topic    Aprelium Forum Index -> FastCGI/CGI
View previous topic :: View next topic  
Author Message
usalabs
-


Joined: 14 Nov 2005
Posts: 16

PostPosted: Sat Nov 02, 2019 10:19 am    Post subject: Error 500 no ,atter which version of php Reply with quote

I'm trying to get a php website up and running for testing, the site was not created by me it's a freeware php site.

I have abyssws X1 running on headless Ubuntu server, with php 7.2, and no matter what php configuration I use within Abyssws, I always get Error 500 internal server error, I have tried using every conceivable configuration imaginable, and neither of them work.

The site, however, does work fully when using XAMPP under windows 10, I even tried runing the windows version of Abyssws and installing the bundled php package for Abyssws and Windows, and I still get the same error.

Error 500
Internal Server Error

Powered by Abyss Web Server X1
Copyright © Aprelium - 2001-2019


Looking at the cgi.log files on both systems I find this:-
The PHP CGI cannot be accessed directly.
Back to top View user's profile Send private message
admin
Site Admin


Joined: 03 Mar 2002
Posts: 960

PostPosted: Wed Nov 06, 2019 4:19 pm    Post subject: Re: Error 500 no ,atter which version of php Reply with quote

usalabs,

This is clearly a PHP setup and declaration issue. Please send your abyss.conf file to our support by email. Don't forget to include a reference to this forum post in your message.
_________________
Follow @abyssws on Twitter
Subscribe to our newsletter
_________________
Forum Administrator
Aprelium - https://aprelium.com
Back to top View user's profile Send private message
Display posts from previous:   
Post new topic   Reply to topic    Aprelium Forum Index -> FastCGI/CGI All times are GMT + 1 Hour
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum


Powered by phpBB phpBB Group